Skip to main content
POST
/
api
/
v1
/
pub
/
{project_id}
/
auth
/
totp
/
verify-setup
Verify TOTP setup
curl --request POST \
  --url https://org-api.hexoforge.dev/api/v1/pub/{project_id}/auth/totp/verify-setup \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "code": "<string>"
}
'
import requests

url = "https://org-api.hexoforge.dev/api/v1/pub/{project_id}/auth/totp/verify-setup"

payload = { "code": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>'})
};

fetch('https://org-api.hexoforge.dev/api/v1/pub/{project_id}/auth/totp/verify-setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Confirms TOTP registration with a code from the authenticator. Requires X-API-Key and Bearer access token.
Send both X-API-Key and Authorization: Bearer.

Request body

code
string
required
Six-digit TOTP code.

Response

204 No Content — empty body.

Status codes

CodeMeaning
204TOTP enabled
400No pending setup or TOTP already enabled
401Invalid code or token